Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Unable t upgrade to version 122  (Read 2438 times)

Offline syima

  • Newbie
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
Unable t upgrade to version 122
« on: May 25, 2015, 12:57:31 AM »
Hi, am not familiar with any programming language nor an IT expert, just housewife trying to do some website business. Please help me with my problem, as i notice somebody already asked the same question, but still  i unable to follow the solution given.

1) Unable to upgrade from link given in e-mail. with error messg :-
 Error: cannot to pack /home/syima/public_html/AbanteCart/admin/system/backup/abantecart_121.tar.gz

2) move to 'manually upgrade' . Do full backup with 'cpanel'.

ok question for these 2 steps > From your user guide, I need to back up "abantecart database' & 'code'. Is my full backup with cpanel covered both of above?

what is 'code' directory? where can i find it?

where can i find 'upgrade.sql' file so i can edit it?

thanks in advance for your help.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4408
  • Karma: +205/-0
    • View Profile
Re: Unable t upgrade to version 122
« Reply #1 on: May 25, 2015, 10:02:02 AM »
Hello.

Full backup in Cpanel should cover but you can backup database separately in phpmyadmin.
upgrade.sql is in upgrade archive abantecart_1.2.2_upgrade_only.tar.gz http://sourceforge.net/projects/abantecart/files/
“Chuck Norris is so amazing.”
― Mother Teresa

Offline syima

  • Newbie
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
Re: Unable t upgrade to version 122
« Reply #2 on: May 26, 2015, 02:57:51 AM »
hi, thanks for your reply.

at this moment i am stuck at final step= run modified 'upgrade.sql' =>for me i use phpMyAdmin.
I dont know if what i doing is correct or not, if not please let me know.

In phpMyAdmin i import 'upgrade.sql' and click at 'go' button. is this what you called it 'run'? after i click at 'go' button, error mssg :

QL query:


ALTER TABLE `ab_product_options`
  ADD `settings` text COLLATE utf8_general_ci;
MySQL said: Documentation

#1046 - No database selected

what is this mean?

and 1 more question, if i dont do this version upgrade will it effect any performance of my website in the future? because i am happy with version 1.2.1.
thanks.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4408
  • Karma: +205/-0
    • View Profile
Re: Unable t upgrade to version 122
« Reply #3 on: May 26, 2015, 03:41:17 AM »
Hello.

MySQL said: Documentation

#1046 - No database selected

what is this mean?

This mean you need to select database before import .sql.
Regarding 1.2.2 and 1.2.1 see  main chnages here http://www.abantecart.com/shopping-cart-news/abantecart-122-released
“Chuck Norris is so amazing.”
― Mother Teresa

 

Powered by SMFPacks Social Login Mod